import QtQuick 2.4
import QtQuick.Controls 1.3
import QtQuick.Layouts 1.1

Item {
    id: page
    property int requiredWidth: 150
    property bool ready: false
    property var hostslist: [ "github.com", "duckduckgo.com", "qt.io", "fsf.org", "wikipedia.com" ]
    anchors.fill: parent
    anchors.margins: 3

    // Format argument line, trigerred on value changed
    function updateParams() {
        if (!ready) return;
        var str = "";
        str += hostslist[hosts.currentIndex];
        sx_scriptargs = str;           // Set global variable sx_scriptargs
    }

    ColumnLayout {
        width: parent.width-10
        anchors.horizontalCenter: parent.horizontalCenter
        spacing: 5
        Text {
            id: title
            height: 20
            text: "Hosts"
            font.bold: true
            horizontalAlignment: Qt.AlignHCenter
        }
        ComboBox {
            id: hosts
            Layout.alignment: Qt.AlignHCenter
            model: hostslist
            onCurrentIndexChanged: updateParams();
        }
    }

    // Set initial parameters when completed
    Component.onCompleted: { ready = true; updateParams(); }
}
