import QtQuick 2.4
import QtQuick.Controls 1.3
import QtQuick.Layouts 1.1

Item {
    id: page
    property int requiredWidth: 150
    property bool ready: false
    property var hostslist: [ "github.com", "duckduckgo.com", "qt.io", "fsf.org", "wikipedia.com" ]
    anchors.fill: parent
    anchors.margins: 3

    // Format argument line, trigerred on value changed
    function updateParams(idx,obj) {
        if (!ready) return;
        var str = "";
        if ((obj) && (obj.checked)) {
            str += hostslist[idx];
            sx_scriptargs = str;        // Set global variable sx_scriptargs
            sx_execAction.trigger();    // Trigger script execution on data changed
        }
    }

    ExclusiveGroup { id: hostgroup }    // Radio buttons group
    ColumnLayout {
        anchors.fill: parent
        anchors.horizontalCenter: parent.horizontalCenter
        spacing: 5
        Text {
            id: title
            text: "Hosts"
            font.bold: true
            horizontalAlignment: Qt.AlignHCenter
        }
        ScrollView {
            Layout.fillWidth: true
            Layout.fillHeight: true
            frameVisible: true
            ListView {
                id: hosts
                spacing: 5
                height: (16+spacing)*hosts.count
                model: hostslist
                delegate: Item {
                    height: 16
                    RadioButton {
                        anchors.margins: 3
                        text: modelData
                        exclusiveGroup: hostgroup
                        checked: false
                        onCheckedChanged: updateParams(index,this);
                    }
                }
            }
        }
    }

    // Set initial parameters when completed
    Component.onCompleted: { ready = true; updateParams(); }
}
