import QtQuick 2.4

ListModel {
    property string title: "Scripts example"
    property string scripticon: "icons/filelist.png"
    property bool   batch: false
    property string shell: "/bin/bash"
    ListElement {
        icon: "icons/filelist.png"
        description: "Simple ls"
        command: "ls"
        params: ""
        tty: true
        help: "Run \"ls\" from working directory.<br>
<i>No settings example.</i>"
    }
    ListElement {
        icon: "icons/filelist.png"
        description: "Shell infos"
        command: "echo 'User    :' $USER;echo 'Host    :' $HOSTNAME;echo WorkDir : $PWD;echo 'Shell   :' $0"
        params: ""
        tty: true
        help: "Print some shell informations.<br>
<i>Chaining commands example.</i>"
    }
    ListElement {
        icon: "icons/filelist.png"
        description: "ls with settings"
        command: "ls"
        params: "Ls.qml"
        tty: true
        help: "Customizable \"ls\".<br>
<i>Simple settings example.</i>"
    }
    ListElement {
        icon: "icons/hello.png"
        description: "Ten hello"
        command: "./hello.sh"
        params: "Hello.qml"
        tty: true
        help: "Run script \"hello.sh\".<br>
10 times : print \"Hello\" and pause one second.<br>
<i>Persistent value example.<br>
Interruption buttons tests.</i>"
    }
    ListElement {
        icon: "icons/find.png"
        description: "Find files"
        command: "find"
        params: "Find.qml"
        tty: true
        help: "Find files (find unix command).<br>
<i>Flickable settings pannel.</i>"
    }
    ListElement {
        icon: "icons/find.png"
        description: "Grep patterns"
        command: "grep"
        params: "Grep.qml"
        tty: true
        help: "Search pattern (grep unix command).<br>
<i>Flickable settings pannel.</i>"
    }
    ListElement {
        icon: "icons/ping.png"
        description: "Ping combo"
        command: "ping -c 1"
        params: "Ping-combo.qml"
        tty: true
        help: "Ping predefined hosts.<br>
<i>Combo box example.</i>"
    }
    ListElement {
        icon: "icons/ping.png"
        description: "Ping radio"
        command: "ping -c 1"
        params: "Ping-radio.qml"
        tty: true
        help: "Ping predefined hosts.<br>
<i>Radio buttons example.</i><br>
<i>Execution trigerred on radio button change.</i>"
    }
    ListElement {
        icon: "icons/ping.png"
        description: "Ping list"
        command: "ping -c 1"
        params: "Ping-list.qml"
        tty: true
        help: "Ping dynamic hosts list.<br>
<i>File based hosts list.</i><br>
<i>QmlFile example.</i>"
    }
    ListElement {
        icon: "icons/filelist.png"
        description: "File info"
        command: "file -b"
        params: "FileInfo.qml"
        tty: true
        help: "Print file info.<br>Minimal file browser.<br>
<i>Scroll list example</i><br>
<i>Build pannel with directory file list.</i><br>
<i>Execution trigerred from pannel</i>."
    }
    ListElement {
        icon: "icons/text-plain.png"
        description: "View text files"
        command: "./filecat.sh"
        params: "FileCat.qml"
        tty: true
        help: "Run script \"filecat.sh\".<br>
View text files content.<br>
<i>Scroll list example</i><br>
<i>Build pannel with directory file list.</i><br>
<i>Execution trigerred from pannel</i>"
    }
    ListElement {
        icon: "icons/firefox.png"
        description: "Firefox"
        command: "firefox"
        params: ""
        tty: false
        help: "Run Firefox.<br>
<i>Hidden IOs for GUI applications.</i>"
    }
    ListElement {
        icon: "icons/error.png"
        description: "Non-existent script"
        command: "./doit.sh"
        params: ""
        tty: true
        help: "Try to run an non-existent script.<br>
<i>Shows an error message.</i>"
    }
}
